From 90ee5d0a69b7be5d6c77c5c394c8f05b020ea990 Mon Sep 17 00:00:00 2001
From: Sam Therapy <sam@samtherapy.net>
Date: Sat, 4 Feb 2023 16:22:24 -0600
Subject: [PATCH] Upgrade to Deno 1.30.2

Signed-off-by: Sam Therapy <sam@samtherapy.net>
---
 _config.ts          | 38 +++++++++++++++++++-------------------
 custom/toml/toml.ts |  6 +++---
 deno.json           |  9 ++++++++-
 import_map.json     |  7 -------
 server.ts           | 18 +++++++++---------
 5 files changed, 39 insertions(+), 39 deletions(-)
 delete mode 100644 import_map.json

diff --git a/_config.ts b/_config.ts
index 3863c24..c9a347b 100644
--- a/_config.ts
+++ b/_config.ts
@@ -1,32 +1,32 @@
-import lume from "lume/mod.ts";
+import lume from "lume/mod.ts"
 
 // Stable plugins
-import attributes from "lume/plugins/attributes.ts";
-import codeHighlight from "lume/plugins/code_highlight.ts";
-import esbuild from "lume/plugins/esbuild.ts";
-import jsx from "lume/plugins/jsx_preact.ts";
+import attributes from "lume/plugins/attributes.ts"
+import codeHighlight from "lume/plugins/code_highlight.ts"
+import esbuild from "lume/plugins/esbuild.ts"
+import jsx from "lume/plugins/jsx_preact.ts"
 import katex from "lume/plugins/katex.ts"
-import lightningcss from "lume/plugins/lightningcss.ts";
-import metas from "lume/plugins/metas.ts";
-import minifyHTML from "lume/plugins/minify_html.ts";
-import mdx from "lume/plugins/mdx.ts";
-import pug from "lume/plugins/pug.ts";
-import remark from "lume/plugins/remark.ts";
-import sass from "lume/plugins/sass.ts";
-import sitemap from "lume/plugins/sitemap.ts";
-import sourceMaps from "lume/plugins/source_maps.ts";
-import svgo from "lume/plugins/svgo.ts";
+import lightningcss from "lume/plugins/lightningcss.ts"
+import metas from "lume/plugins/metas.ts"
+import minifyHTML from "lume/plugins/minify_html.ts"
+import mdx from "lume/plugins/mdx.ts"
+import pug from "lume/plugins/pug.ts"
+import remark from "lume/plugins/remark.ts"
+import sass from "lume/plugins/sass.ts"
+import sitemap from "lume/plugins/sitemap.ts"
+import sourceMaps from "lume/plugins/source_maps.ts"
+import svgo from "lume/plugins/svgo.ts"
 
 // Experimental plugins
 
 // Custom plugins
-import toml from "./custom/toml/toml.ts";
+import toml from "./custom/toml/toml.ts"
 
 const site = lume({
   src: "./src",
   dest: "./dist",
   location: new URL("https://samtherapy.net"),
-});
+})
 
 site
   .copy("static", ".")
@@ -55,6 +55,6 @@ site
   .use(minifyHTML())
   .use(sourceMaps({
     sourceContent: true,
-  }));
+  }))
 
-export default site;
+export default site
diff --git a/custom/toml/toml.ts b/custom/toml/toml.ts
index beae18f..7789bc0 100644
--- a/custom/toml/toml.ts
+++ b/custom/toml/toml.ts
@@ -1,6 +1,6 @@
-import { parse } from "std/encoding/toml.ts";
+import { parse } from "std/encoding/toml.ts"
 
 export default async function toml(path: string | URL) {
-  const content = await Deno.readTextFile(path);
-  return parse(content);
+  const content = await Deno.readTextFile(path)
+  return parse(content)
 }
diff --git a/deno.json b/deno.json
index 4d18ef8..3fb6bd5 100644
--- a/deno.json
+++ b/deno.json
@@ -1,5 +1,4 @@
 {
-  "importMap": "import_map.json",
   "tasks": {
     "lume": "echo \"import 'lume/cli.ts'\" | deno run --unstable -A -",
     "build": "deno task lume",
@@ -16,6 +15,11 @@
       "deno.ns"
     ]
   },
+  "imports": {
+    "lume/": "https://deno.land/x/lume@v1.15.2/",
+    "experimental/": "https://raw.githubusercontent.com/lumeland/experimental-plugins/main/",
+    "std/": "https://deno.land/std/"
+  },
   "lint": {
     "files": {
       "exclude": [
@@ -25,6 +29,9 @@
     }
   },
   "fmt": {
+    "options": {
+      "semiColons": false
+    },
     "files": {
       "exclude": [
         "src/_includes/styles/external/",
diff --git a/import_map.json b/import_map.json
deleted file mode 100644
index 4eb6090..0000000
--- a/import_map.json
+++ /dev/null
@@ -1,7 +0,0 @@
-{
-  "imports": {
-    "lume/": "https://deno.land/x/lume@v1.14.2/",
-    "experimental/": "https://raw.githubusercontent.com/lumeland/experimental-plugins/main/",
-    "std/": "https://deno.land/std/"
-  }
-}
diff --git a/server.ts b/server.ts
index 14afa86..70cb8d2 100644
--- a/server.ts
+++ b/server.ts
@@ -1,21 +1,21 @@
-import Server from "https://deno.land/x/lume@v1.13.2/core/server.ts";
-import expires from "https://deno.land/x/lume@v1.13.2/middlewares/expires.ts";
-import not_found from "https://deno.land/x/lume@v1.13.2/middlewares/not_found.ts";
+import Server from "lume/core/server.ts"
+import expires from "lume/middlewares/expires.ts"
+import not_found from "lume/middlewares/not_found.ts"
 
-const port = 8000;
+const port = 8000
 
 const server = new Server({
   port: port,
   root: `${Deno.cwd()}/dist`,
-});
+})
 
-server.use(expires());
+server.use(expires())
 
 server.use(not_found({
   root: `${Deno.cwd()}/dist`,
   page404: "404.html",
-}));
+}))
 
-server.start();
+server.start()
 
-console.log(`Listening on http://localhost:${port}`);
+console.log(`Listening on http://localhost:${port}`)
